﻿Namespace Associazione
    Public Class typeConto
        Public Const SELEZIONA_ID As Integer = -1
        Public Const BANCA = 1
        Public Const CASSA = 2

        Dim _dt As DataTable = Nothing

        Public Sub New(ByVal ds As DataSet)
            _dt = ds.Tables("TbConti").Copy
        End Sub

        Public ReadOnly Property DataTable() As DataTable
            Get
                Return _dt
            End Get
        End Property


        ''' <summary></summary>
        ''' <remarks></remarks>
        Public Structure typeConto
            Dim IdConto As Integer
            Dim Descrizione As String
            Dim Tipo As Integer
        End Structure

        Public Function Seleziona(ByVal IdConto As Integer) As typeConto
            Dim result As typeConto = Nothing

            For Each dr As DataRow In _dt.Select("conto_id = " & IdConto)
                result.IdConto = IdConto
                result.Descrizione = dr("conto_descrizione")
                result.Tipo = dr("conto_tipo")
            Next

            If IsNothing(result.IdConto) Then
                Return Nothing
            Else
                Return result
            End If
        End Function

    End Class
End Namespace

